<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:14 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.jbase.EntityMarshaller
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.jbase.EntityMarshaller";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/jbase/class-use/EntityMarshaller.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="EntityMarshaller.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.jbase.EntityMarshaller</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.jbase"><B>ch.javasoft.jbase</B></A></TD>
<TD>The <tt>jbase</tt> package and subpackages contain classes and interfaces for a 
simple Java database; the database does not support transactions or optimization
techniques like indexing, supported operations include <i>reading</i>, 
<i>appending</i>, <i>updating</i> and <i>removing</i> of elements of a 
<A HREF="../../../../ch/javasoft/jbase/Table.html" title="interface in ch.javasoft.jbase"><CODE>Table</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.jbase.marshal"><B>ch.javasoft.jbase.marshal</B></A></TD>
<TD>The <tt>jbase.marshal</tt> package contains marshaller implementations for 
common object types such as <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang"><CODE>strings</CODE></A> or 
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang"><CODE>number</CODE></A> types.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.column"><B>ch.javasoft.metabolic.efm.column</B></A></TD>
<TD>The <tt>column</tt> subpackage defines a 
<A HREF="../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column"><CODE>column</CODE></A> interface representing
an (intermediary) elementary mode; implementations for different number types 
are available.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.tree.outcore"><B>ch.javasoft.metabolic.efm.tree.outcore</B></A></TD>
<TD>The <tt>tree.outcore</tt> package contains classes implementing an out-of-core 
version of the bit pattern tree, meaning that the tree is stored in files 
(core of core memory).&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.jbase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A> in <A HREF="../../../../ch/javasoft/jbase/package-summary.html">ch.javasoft.jbase</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Subinterfaces of <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A> in <A HREF="../../../../ch/javasoft/jbase/package-summary.html">ch.javasoft.jbase</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller&lt;E&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A <code>FixedWidthMarshaller</code> is an extension of an
 entity marshaller where the row width is known, i.e.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/jbase/package-summary.html">ch.javasoft.jbase</A> with parameters of type <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;En&gt; <A HREF="../../../../ch/javasoft/jbase/VariableWidthTable.html" title="class in ch.javasoft.jbase">VariableWidthTable</A>&lt;En&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>VariableWidthTable.</B><B><A HREF="../../../../ch/javasoft/jbase/VariableWidthTable.html#create(java.io.File, java.lang.String, int, ch.javasoft.jbase.EntityMarshaller, int, int)">create</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;folder,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;fileName,
             int&nbsp;firstTableByteWidth,
             <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;En&gt;&nbsp;entityMarshaller,
             int&nbsp;cacheTableSize,
             int&nbsp;cacheEntrySize)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates new variable table files, erasing existing files if existent.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;En&gt; <A HREF="../../../../ch/javasoft/jbase/VariableWidthTable.html" title="class in ch.javasoft.jbase">VariableWidthTable</A>&lt;En&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>VariableWidthTable.</B><B><A HREF="../../../../ch/javasoft/jbase/VariableWidthTable.html#open(java.io.File, java.lang.String, ch.javasoft.jbase.EntityMarshaller, int, int)">open</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;folder,
         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;fileName,
         <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;En&gt;&nbsp;entityMarshaller,
         int&nbsp;cacheTableSize,
         int&nbsp;cacheEntrySize)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Opens existing variable table files.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../ch/javasoft/jbase/package-summary.html">ch.javasoft.jbase</A> with parameters of type <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/VariableWidthTable.html#VariableWidthTable(java.io.File, java.lang.String, ch.javasoft.jbase.EntityMarshaller, int, int)">VariableWidthTable</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;folder,
                                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;fileName,
                                     <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;<A HREF="../../../../ch/javasoft/jbase/VariableWidthTable.html" title="type parameter in VariableWidthTable">E</A>&gt;&nbsp;entityMarshaller,
                                     int&nbsp;cacheTableSize,
                                     int&nbsp;cacheEntrySize)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor, only for subclassing, use the static 
 <A HREF="../../../../ch/javasoft/jbase/VariableWidthTable.html#create(java.io.File, java.lang.String, int, ch.javasoft.jbase.EntityMarshaller, int, int)"><CODE>create</CODE></A> and 
 <A HREF="../../../../ch/javasoft/jbase/VariableWidthTable.html#open(java.io.File, java.lang.String, ch.javasoft.jbase.EntityMarshaller, int, int)"><CODE>open</CODE></A> methods to create 
 instances.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.jbase.marshal"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A> in <A HREF="../../../../ch/javasoft/jbase/marshal/package-summary.html">ch.javasoft.jbase.marshal</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../ch/javasoft/jbase/marshal/package-summary.html">ch.javasoft.jbase.marshal</A> that implement <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/BigDecimalMarshaller.html" title="class in ch.javasoft.jbase.marshal">BigDecimalMarshaller</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>BigDecimalMarshaller</code> can be used as marshaller for 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math"><CODE>big decimal numbers</CODE></A> together with 
 <A HREF="../../../../ch/javasoft/jbase/VariableWidthTable.html" title="class in ch.javasoft.jbase"><CODE>variable width tables</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/BigIntegerMarshaller.html" title="class in ch.javasoft.jbase.marshal">BigIntegerMarshaller</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>BigIntegerMarshaller</code> can be used as marshaller for 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>big integer numbers</CODE></A> together with 
 <A HREF="../../../../ch/javasoft/jbase/VariableWidthTable.html" title="class in ch.javasoft.jbase"><CODE>variable width tables</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/StringMarshaller.html" title="class in ch.javasoft.jbase.marshal">StringMarshaller</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A <code>StringMarshaller</code> is a marshaller for strings, not necessarily
 encoded with UTF characters.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/UtfStringMarshaller.html" title="class in ch.javasoft.jbase.marshal">UtfStringMarshaller</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A <code>UtfStringMarshaller</code> is a marshaller for strings coded UTF
 conformly.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../../ch/javasoft/jbase/marshal/package-summary.html">ch.javasoft.jbase.marshal</A> declared as <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;boolean[]&gt;</CODE></FONT></TD>
<TD><CODE><B>PrimitiveArrayMarshallers.</B><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#BOOLEAN">BOOLEAN</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;byte[]&gt;</CODE></FONT></TD>
<TD><CODE><B>PrimitiveArrayMarshallers.</B><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#BYTE">BYTE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;char[]&gt;</CODE></FONT></TD>
<TD><CODE><B>PrimitiveArrayMarshallers.</B><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#CHAR">CHAR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;double[]&gt;</CODE></FONT></TD>
<TD><CODE><B>PrimitiveArrayMarshallers.</B><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#DOUBLE">DOUBLE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;float[]&gt;</CODE></FONT></TD>
<TD><CODE><B>PrimitiveArrayMarshallers.</B><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#FLOAT">FLOAT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;int[]&gt;</CODE></FONT></TD>
<TD><CODE><B>PrimitiveArrayMarshallers.</B><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#INT">INT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;long[]&gt;</CODE></FONT></TD>
<TD><CODE><B>PrimitiveArrayMarshallers.</B><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#LONG">LONG</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;short[]&gt;</CODE></FONT></TD>
<TD><CODE><B>PrimitiveArrayMarshallers.</B><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#SHORT">SHORT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.column"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A> in <A HREF="../../../../ch/javasoft/metabolic/efm/column/package-summary.html">ch.javasoft.metabolic.efm.column</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/metabolic/efm/column/package-summary.html">ch.javasoft.metabolic.efm.column</A> that return <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;<A HREF="../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="type parameter in ColumnHome">Col</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ColumnHome.</B><B><A HREF="../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html#getEntityMarshaller(int, int)">getEntityMarshaller</A></B>(int&nbsp;booleanSize,
                                       int&nbsp;numericSize)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create a table to store the columns</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.tree.outcore"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A> in <A HREF="../../../../ch/javasoft/metabolic/efm/tree/outcore/package-summary.html">ch.javasoft.metabolic.efm.tree.outcore</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../ch/javasoft/metabolic/efm/tree/outcore/package-summary.html">ch.javasoft.metabolic.efm.tree.outcore</A> that implement <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/metabolic/efm/tree/outcore/PersistentNodeEntityMarshaller.html" title="class in ch.javasoft.metabolic.efm.tree.outcore">PersistentNodeEntityMarshaller</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>PersistentNodeEntityMarshaller</code> writes nodes of a persisted
 pattern tree to disk.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/jbase/class-use/EntityMarshaller.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="EntityMarshaller.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
